CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-1171

The TeX filter in Moodle 1.6 before 1.6.9+, 1.7 before 1.7.7+, 1.8 before 1.8.9, and 1.9 before 1.9.5 allows user-assisted attackers to read arbitrary files via an input command in a "$$" sequence, which causes LaTeX to include the contents of the file.
Publish Date : 2009-03-30 Last Update Date : 2017-09-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 20

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2009-1171 oval:org.opensuse.security:def:20091171 unix
DSA-1761 moodle -- missing input sanitisation oval:org.mitre.oval:def:7916 unix
DSA-1761-1 moodle -- missing input sanitisation oval:org.mitre.oval:def:13700 unix
USN-791-1 -- moodle vulnerabilities oval:org.mitre.oval:def:13687 unix
USN-791-2 -- moodle vulnerability oval:org.mitre.oval:def:13316 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-1171

# Product Type Vendor Product Version Update Edition Language
1 Application Moodle Moodle 1.6 Version Details Vulnerabilities
2 Application Moodle Moodle 1.6.1 Version Details Vulnerabilities
3 Application Moodle Moodle 1.6.2 Version Details Vulnerabilities
4 Application Moodle Moodle 1.6.3 Version Details Vulnerabilities
5 Application Moodle Moodle 1.6.4 Version Details Vulnerabilities
6 Application Moodle Moodle 1.6.5 Version Details Vulnerabilities
7 Application Moodle Moodle 1.6.6 Version Details Vulnerabilities
8 Application Moodle Moodle 1.6.7 Version Details Vulnerabilities
9 Application Moodle Moodle 1.6.8 Version Details Vulnerabilities
10 Application Moodle Moodle 1.7 Version Details Vulnerabilities
11 Application Moodle Moodle 1.7.1 Version Details Vulnerabilities
12 Application Moodle Moodle 1.7.2 Version Details Vulnerabilities
13 Application Moodle Moodle 1.7.3 Version Details Vulnerabilities
14 Application Moodle Moodle 1.7.4 Version Details Vulnerabilities
15 Application Moodle Moodle 1.7.5 Version Details Vulnerabilities
16 Application Moodle Moodle 1.7.6 Version Details Vulnerabilities
17 Application Moodle Moodle 1.8 Version Details Vulnerabilities
18 Application Moodle Moodle 1.8.1 Version Details Vulnerabilities
19 Application Moodle Moodle 1.8.2 Version Details Vulnerabilities
20 Application Moodle Moodle 1.8.3 Version Details Vulnerabilities
21 Application Moodle Moodle 1.8.4 Version Details Vulnerabilities
22 Application Moodle Moodle 1.8.5 Version Details Vulnerabilities
23 Application Moodle Moodle 1.8.6 Version Details Vulnerabilities
24 Application Moodle Moodle 1.8.7 Version Details Vulnerabilities
25 Application Moodle Moodle 1.8.8 Version Details Vulnerabilities
26 Application Moodle Moodle 1.9 Version Details Vulnerabilities
27 Application Moodle Moodle 1.9.1 Version Details Vulnerabilities
28 Application Moodle Moodle 1.9.2 Version Details Vulnerabilities
29 Application Moodle Moodle 1.9.3 Version Details Vulnerabilities
30 Application Moodle Moodle 1.9.4 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Moodle Moodle 30

- References For CVE-2009-1171

https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00077.html
FEDORA FEDORA-2009-3280
https://www.exploit-db.com/exploits/8297
EXPLOIT-DB 8297
https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00079.html
FEDORA FEDORA-2009-3283
http://www.debian.org/security/2009/dsa-1761
DEBIAN DSA-1761
http://www.ubuntulinux.org/support/documentation/usn/usn-791-2
UBUNTU USN-791-2
http://tracker.moodle.org/browse/MDL-18552
http://cvs.moodle.org/moodle/filter/tex/filter.php?r1=1.18.4.4&r2=1.18.4.5 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00010.html
SUSE SUSE-SR:2009:009

- Metasploit Modules Related To CVE-2009-1171

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.